Introducing Confident Voice: Watch the Launch Video Now

List MCP Servers

(v1)

GET

Lists the MCP servers registered in your project. Credentials such as headers, environment variables, and OAuth config are not returned.

GET/v1/mcp-servers
curl -X GET "https://api.confident-ai.com/v1/mcp-servers" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "mcpServers": [
      {
        "id": "MCP-SERVER-ID",
        "name": "GitHub",
        "description": "Repository and issue tools",
        "transport": "HTTP",
        "url": "https://mcp.example.com/sse",
        "connected": true
      }
    ]
  },
  "deprecated": false
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Response

  • successboolean

    Indicates if the request was successful.

  • dataobject

    Show 1 propertyHide 1 property
    • mcpServerslist of objects

      The MCP servers, ordered by name.

      Show 6 propertiesHide 6 properties
      • idstring

        The unique identifier of the MCP server. Use this value when running a dataset evaluation.

      • namestring

        The name of the MCP server.

      • descriptionstring

        The description of the MCP server.

      • transportenum

        How Confident AI reaches the server.

        Show 2 enum valuesHide 2 enum values
        • HTTP
        • STDIO
      • urlstring

        The URL of the server. Only set when the transport is HTTP.

      • connectedboolean

        Whether Confident AI has successfully connected to the server.

  • deprecatedboolean

    Indicates if this endpoint is deprecated.

Built byConfident AI